smb4k (3.1.2-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (3.1.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 02 Apr 2022 09:16:53 +0100

smb4k (3.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: disable the blhc job.
  * debian/upstream/metadata: add bug entries.
  * Rename bug-presubj to smb4k.bug-presubj, and docs to smb4k.docs to make it
    explicit to which package they refer to.
  * debian/smb4k.bug-presubj: update URL of the upstream bug tracker.

 -- Pino Toscano <pino@debian.org>  Tue, 28 Sep 2021 19:19:51 +0200

smb4k (3.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to 5.9.0
    - bump the KF packages to 5.44.0
    - add libkf5dnssd-dev
  * Update the cmake options according to the upstream build system:
    - drop -DINSTALL_HEADER_FILES=OFF, as it does not exist anymore
    - rename -DINSTALL_PLASMOID=false to -DSMB4K_INSTALL_PLASMOID=false
  * Update lintian overrides.
  * Drop removal of .so symlinks, as there are not anymore.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Aug 2021 14:42:03 +0200

smb4k (3.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the smb4k package relationships:
    - remove the sudo recommend, as it seems not needed anymore
    - add the rsync recommend
    - add the konsole suggest
  * CI: disable build-path reprotest variations.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Add some upstream metadata fields.
  * Bump the version the watch file to 4, no changes required.
  * Drop the removal of the appdata translations, as they are not shipped
    anymore now.

 -- Pino Toscano <pino@debian.org>  Thu, 12 Nov 2020 00:34:00 +0100

smb4k (3.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Set Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Jun 2020 13:37:38 +0200

smb4k (3.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 15 May 2020 14:16:31 +0200

smb4k (3.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Apr 2020 09:25:33 +0200

smb4k (3.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.
  * Explicitly add the gettext build dependency.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Mar 2020 22:09:42 +0100

smb4k (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 15 Aug 2019 22:05:36 +0200

smb4k (3.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - drop libkf5parts-dev, no more needed
    - add libsmbclient-dev
  * Update the filename of the Plasma widget translations to remove.
  * Remove empty directories.
  * Update lintian overrides.
  * Bump Standards-Version to 4.4.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Jul 2019 21:49:15 +0200

smb4k (2.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Remove empty line at the end of changelog.
  * Use https in watch file, and remove the svn bits.
  * Bump Standards-Version to 4.1.5, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Jul 2018 14:12:43 +0200

smb4k (2.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add new required libkf5crash-dev build dependency.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Do not ship the helper translations of the appdata file.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Make sure to call dh_auto_configure with the kf5 buildsystem.
  * Remove Fathi Boudra from Uploaders, as requested by the MIA team.
    (Closes: #879434)

 -- Pino Toscano <pino@debian.org>  Wed, 11 Apr 2018 07:45:33 +0200

smb4k (2.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Lower the cmake build dependency to 3.2, as indicated by the upstream
    build system.
  * Bump Standards-Version to 4.0.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 26 Aug 2017 13:05:08 +0200

smb4k (2.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev
    - add extra-cmake-modules, qtbase5-dev, qtdeclarative5-dev,
      libkf5auth-dev, libkf5completion-dev, libkf5config-dev,
      libkf5configwidgets-dev, libkf5coreaddons-dev, libkf5dbusaddons-dev,
      libkf5doctools-dev, libkf5i18n-dev, libkf5iconthemes-dev,
      libkf5jobwidgets-dev, libkf5kio-dev, libkf5notifications-dev,
      libkf5parts-dev, libkf5plasma-dev, libkf5solid-dev, libkf5wallet-dev,
      libkf5widgetsaddons-dev, libkf5windowsystem-dev, and libkf5xmlgui-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Bump the cmake build dependency to 3.3, according to the upstream build
    system.
  * Pass -DINSTALL_HEADER_FILES=OFF to cmake, to make sure no header is
    installed.
  * Update the patches:
    - Find-the-mount-umount-commands-in-the-helper.patch: drop, backported
      from upstream
  * Remove the development symlinks, as they are not used.
  * Drop the translations of the Plasma widget, since it is not built.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Jun 2017 13:37:19 +0200

smb4k (1.2.1-2) unstable; urgency=medium

  * Team upload.
  * Cherry pick "Find the mount/umount commands in the helper"
    This fixes CVE-2017-8849 (Closes: 862505)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 15 May 2017 12:18:34 +0200

smb4k (1.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop menu file, since smb4k already provides a .desktop file.
  * Use https for the Vcs-Browser field.
  * Bump Standards-Version to 3.9.7, no changes required.
  * Improve description; also drop the reference to the Plasma widget, since
    it has never been built, and it will not work anyway in a Plasma 5
    environment. (Closes: #763624)
  * Link in as-needed mode.

 -- Pino Toscano <pino@debian.org>  Fri, 25 Mar 2016 16:23:25 +0100

smb4k (1.1.2-1) unstable; urgency=low

  * New upstream release
    - Fixes "CVE-2014-2581 - credentials cache leak" (Closes: #742816)
    - Fixes "[smb4k] Doesn't automount shares anymore" (Closes: #710933)
    - Fixes "smb4k does not work on Version 7.1 (wheezy) 32 bits, can't open
    the network" (Closes: #717497)

 -- Mark Purcell <msp@debian.org>  Sun, 15 Jun 2014 16:27:38 +1000

smb4k (1.0.9-1) unstable; urgency=low

  * New upstream release
  * Updated Description:
  * Add bug-presubj to point out upstream support options

 -- Mark Purcell <msp@debian.org>  Sat, 09 Nov 2013 13:49:43 +1100

smb4k (1.0.8-1) unstable; urgency=low

  * New upstream release
    - Fixes "qreal VS double issues" (Closes: #675892)
  * Update +Section: kde - fixes override disparities
  * Update Standards Version 3.9.4

 -- Mark Purcell <msp@debian.org>  Sun, 27 Oct 2013 16:33:05 +1100

smb4k (1.0.7-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Mon, 13 May 2013 20:37:22 +1000

smb4k (1.0.6-1) unstable; urgency=low

  * New upstream Release
  * Add myself to Uploaders:

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 18:32:20 +1000

smb4k (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Update debian/compat: bump to 9.
  * Update debian/control:
    - bump debhelper to 9.
    - bump kdelibs5-dev build dependency to 4:4.4.0.
    - bump Standards-Version to 3.9.3 (no changes needed).
    - Replace smbfs dependency by cifs-utils. (Closes: #638162)
  * Update debian/copyright:
    - update upstream URL.
    - update upstream e-mail.
  * Update debian/smb4k.lintian-overrides file.
  * Update debian/watch file.

 -- Fathi Boudra <fabo@debian.org>  Sat, 19 May 2012 18:54:34 +0300

smb4k (0.10.10-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix installability on kfreebsd-*.  (Closes: #650136)

 -- Robert Millan <rmh@debian.org>  Fri, 02 Dec 2011 19:32:41 +0000

smb4k (0.10.10-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Mon, 02 May 2011 08:52:02 +0300

smb4k (0.10.9-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Wed, 06 Oct 2010 16:37:12 +0300

smb4k (0.10.7-1) unstable; urgency=low

  * New upstream release:
    - cannot mount as non-root anymore (Closes: #572846)
    - do not startup due to missing umount.cifs (Closes: #574269)
  * Add versioned dependencies.
  * Drop portugese translation patch - merged upstream.

 -- Fathi Boudra <fabo@debian.org>  Wed, 07 Apr 2010 12:30:23 +0200

smb4k (0.10.5-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Add Portuguese translation. (Closes: #569838)
    Thanks to Américo Monteiro.
  * Update debian/control:
    - Bump build dependencies versions
      (debhelper, pkg-kde-tools and kdelibs5-dev).
    - Bump Standards-Version to 3.8.4 (no changes needed).
    - Remove super dependency. (Closes: #555215)
  * Update debian/rules:
    - Enable parallel build (pass --parallel option to dh).
    - Remove override_dh_compress target - not needed anymore.

 -- Fathi Boudra <fabo@debian.org>  Sat, 06 Mar 2010 09:33:27 +0100

smb4k (0.10.4-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control:
    - Bump Standards-Version to 3.8.3 (no changes needed).
    - Add Vcs-Svn and Vcs-Browser fields.
    - Replace samba-common by samba-common-bin dependency to provide nmblookup.
      (Closes: #541264)
  * Update debian/rules: cleanup include as dh support kde.

 -- Fathi Boudra <fabo@debian.org>  Sat, 03 Oct 2009 10:34:19 +0200

smb4k (0.10.2-4) unstable; urgency=low

  * Update debian/control:
    - Set Debian KDE Extras team as Maintainer and myself in Uploaders field.
      Thanks to Francesco Paolo Lovergine for his work.
    - Cleanup build dependencies.
    - Bump Standards-Version to 3.8.2 (no changes needed).
  * Rewrite debian/rules: use dh.

 -- Fathi Boudra <fabo@debian.org>  Thu, 06 Aug 2009 18:06:45 +0200

smb4k (0.10.2-3) unstable; urgency=high

  * Removed superfluous build-dep on kde4-development.
    (closes: #525651)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 27 Apr 2009 11:12:17 +0200

smb4k (0.10.2-2) unstable; urgency=low

  * Upload to unstable after KDE4 core availability.
  * Policy bumped to 3.8.1, without changes.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 07 Apr 2009 14:09:38 +0200

smb4k (0.10.2-1) experimental; urgency=low

  * New upstream release.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 19 Mar 2009 16:50:29 +0100

smb4k (0.10.1-1) experimental; urgency=low

  * New upstream release, supporting KDE4.
    (closes: #487299, #481934, #514100)
  * Added kwalletmanager suggest in debian/control.
  * Now supports dpatch for local patches. Build-dep on dpatch added.
  * Now build-deps on x11proto-core-dev instead of obsolete x-dev.
    (closes: #515519)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 18 Feb 2009 15:50:16 +0100

smb4k (0.9.4-1) unstable; urgency=low

  * New upstream release.
    (closes: #477419)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 29 Apr 2008 11:00:22 +0200

smb4k (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Updated minimal build-deps to 3.3 as required upstream.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 28 Jan 2008 10:48:11 +0100

smb4k (0.9.1-1) unstable; urgency=low

  * New upstream release.
    (closes: #343950, #456077, #461370)
  * Policy bumped to 3.7.3 (no changes)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 18 Jan 2008 14:48:20 +0100

smb4k (0.8.6-1) unstable; urgency=low

  * New upstream release.
  * Introduced Homepage field in debian/control

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 22 Oct 2007 20:06:08 +0200

smb4k (0.8.4-2) unstable; urgency=low

  * debian/menu transitioned to new sections.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 17 Jul 2007 23:03:05 +0200

smb4k (0.8.4-1) unstable; urgency=low

  * New upstream release with minor fixes.
  * debian/copyright file updated.
    (closes: #432224)
  * debian/watch revised.
  * debian/control revised for description.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 10 Jul 2007 09:56:17 +0200

smb4k (0.8.3-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 18 Jun 2007 21:38:37 +0200

smb4k (0.8.1-1) unstable; urgency=high

  * New upstream release (fixes a few security issues)
    (closes: #417697)
  * Revised watch file.


 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 10 Apr 2007 11:40:40 +0200

smb4k (0.8.0-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 22 Dec 2006 12:27:05 +0100

smb4k (0.7.5-1) unstable; urgency=high

  * New upstream release
    This version fixes a grave security bug present in all 0.7 versions with
    sudoers file management.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 27 Nov 2006 12:57:57 +0100

smb4k (0.7.3-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 25 Oct 2006 23:30:11 +0200

smb4k (0.7.2-1) unstable; urgency=low

  * New upstream version.
  * Moved debian/watch to version 3 syntax.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu,  3 Aug 2006 14:55:25 +0200

smb4k (0.7.1-1) unstable; urgency=low

  * New upstream release
    This version works only with Samba 3.0+
  * Policy bumped to 3.7.2 without changes.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 25 Jun 2006 10:55:40 +0200

smb4k (0.6.9-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 24 Mar 2006 17:01:31 +0100

smb4k (0.6.8-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 17 Mar 2006 22:55:33 +0100

smb4k (0.6.7-1) unstable; urgency=low

  * New upstream release
  * Removed superfluous libfam-dev build-dep.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun,  5 Feb 2006 23:19:33 +0100

smb4k (0.6.5-1) unstable; urgency=low

  * New upstream release
    (closes: #343094,#314240)
  * Transitioned to xorg dependencies.
    (closes: #346905)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon,  9 Jan 2006 15:25:45 +0100

smb4k (0.6.4-1) unstable; urgency=high

  * New upstream release
  * Truly fix of #313908 and related issues.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri,  4 Nov 2005 14:54:26 +0100

smb4k (0.6.3-1) unstable; urgency=high

  * New upstream release
    Fixes a few security flaws due to symlinking abuse.
    IMHO it require major changes to properly manage IPC with sudo/super,
    anywy better than nothing...
  * Little modification (partially yet done by upstream) to de.po
    (closes: #313908)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 31 Aug 2005 15:26:55 +0200

smb4k (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 23 Aug 2005 23:44:01 +0200

smb4k (0.6.0-1) unstable; urgency=low

  * New upstream release
  * Added missing kdebase-dev build-dep
  * Policy bumped to 3.6.2

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 23 Aug 2005 23:29:26 +0200

smb4k (0.5.2-1) unstable; urgency=low

  * New upstream release
    (closes: #294458, #296458)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 29 Mar 2005 12:15:53 +0200

smb4k (0.5.1-1) unstable; urgency=low

  * New upstream release
  * Added sudo to recommended pkgs in control file.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 31 Jan 2005 10:35:10 +0100

smb4k (0.5.0-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 13 Jan 2005 15:21:07 +0100

smb4k (0.4.1a-1) unstable; urgency=high

  * New upstream release.
    A severe bug in Smb4K's exit code has been found and fixed, which led
    under certain circumstances to complete data loss on remote shares.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon,  6 Sep 2004 11:40:26 +0200

smb4k (0.4.1-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 30 Aug 2004 21:10:00 +0200

smb4k (0.4.0-2) unstable; urgency=low

  * Missing debhelper dependency added. It is only recommended in cdbs, why?
    (closes: #257367)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat,  3 Jul 2004 10:14:59 +0200

smb4k (0.4.0-1) unstable; urgency=low

  * Initial release.
    (closes: #255072)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 18 Jun 2004 20:02:30 +0200
